All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.util
Interface IntegerRangeInterface

All Known Implementing Classes:
  IntegerRange

Deprecated. Use the more general com.sas.models.BoundedNumberInterface and the implementations, com.sas.models.BoundedLong and com.sas.models.BoundedDouble

    public interface IntegerRangeInterface

The IntegerRangeInterface interface is used by objects which have an adjustable interger value contained within a bounded range of values.

Method Summary
`abstract int` | `getBlockIncrement()` Deprecated. Gets the block value increment for the range object.
`abstract int` | `getMaximum()` Deprecated. Gets the maximum value of the range object.
`abstract int` | `getMinimum()` Deprecated. Gets the minimum value of the range object.
`abstract int` | `getUnitIncrement()` Deprecated. Gets the unit value increment for the range object.
`abstract int` | `getValue()` Deprecated. Gets the current value of the range object.
`abstract java.lang.Number` | `incrementBy(int increment, int incrementType)` Deprecated. Increment, by unit or block increment amount, the current value by the specified number of increments.
`abstract void` | `setBlockIncrement(int block)` Deprecated. Sets the block value increment for the range object.
`abstract void` | `setMaximum(int max)` Deprecated. Sets the maximum value of the range object.
`abstract void` | `setMinimum(int min)` Deprecated. Sets the minimum value of the range object.
`abstract void` | `setUnitIncrement(int unit)` Deprecated. Sets the unit value increment for the range object.
`abstract void` | `setValue(int value)` Deprecated. Sets the current value of the range object.
`abstract void` | `setValues(int value, int min, int max)` Deprecated. Set the value, minimum and maximum at the same time.
`abstract void` | `setValues(int value, int unit, int block, int min, int max)` Deprecated. Set the value, minimum and maximum at the same time.

Method Detail

### getBlockIncrement

    int getBlockIncrement()

  Deprecated.
  Gets the block value increment for the range object.

  Returns:
    the current block increment

### getMaximum

    int getMaximum()

  Deprecated.
  Gets the maximum value of the range object.

  Returns:
    the current range maximum

### getMinimum

    int getMinimum()

  Deprecated.
  Gets the minimum value of the range object.

  Returns:
    the current range minimum

### getUnitIncrement

    int getUnitIncrement()

  Deprecated.
  Gets the unit value increment for the range object.

  Returns:
    the current unit increment

### getValue

    int getValue()

  Deprecated.
  Gets the current value of the range object.

  Returns:
    the current value

### incrementBy

    java.lang.Number incrementBy(int increment,
                                 int incrementType)

  Deprecated.
  Increment, by unit or block increment amount, the current value by the specified number of increments. The current value will be incremented( or decremented ) within the bounds of the maximum and minimum values.

  Parameters:
    `increment` - The number of incrementType(unit or block) amounts to increment the current value by.
    `incrementType` - UNIT to increment by the unit amount; BLOCK to increment by the block amount
  Returns:
    the new current value

### setBlockIncrement

    void setBlockIncrement(int block)

  Deprecated.
  Sets the block value increment for the range object.

  Parameters:
    `block` - the block increment

### setMaximum

    void setMaximum(int max)

  Deprecated.
  Sets the maximum value of the range object. The maximum value is included in the range of the value.

  Parameters:
    `max` - the maximum value

### setMinimum

    void setMinimum(int min)

  Deprecated.
  Sets the minimum value of the range object. The minimum value is included in the range of the value.

  Parameters:
    `min` - the minimum value

### setUnitIncrement

    void setUnitIncrement(int unit)

  Deprecated.
  Sets the unit value increment for the range object.

  Parameters:
    `unit` - the unit increment

### setValue

    void setValue(int value)

  Deprecated.
  Sets the current value of the range object. The current value will only be set to within the range of the minimum and maximum values.

  Parameters:
    `value` - the current value

### setValues

    void setValues(int value,
                   int min,
                   int max)

  Deprecated.
  Set the value, minimum and maximum at the same time.

  Parameters:
    `value` - the new value
    `min` - the new minimum
    `max` - the new maximum
  Throws:
    `java.lang.IllegalArgumentException` - if (min > max), (unit < 0), (block < 0), (unit > range) or (block > range), where range = (max - min)

### setValues

    void setValues(int value,
                   int unit,
                   int block,
                   int min,
                   int max)

  Deprecated.
  Set the value, minimum and maximum at the same time.

  Parameters:
    `value` - the new value
    `unit` - the new unit increment
    `block` - the new block increment
    `min` - the new minimum
    `max` - the new maximum
  Throws:
    `java.lang.IllegalArgumentException` - if (min > max), (unit < 0), (block < 0), (unit > range) or (block > range), where range = (max - min)

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.